Update atstk1002 target skeleton

This commit is contained in:
Ulf Samuelsson 2007-08-17 13:02:52 +00:00
parent 24c9802928
commit ee80e9b39b
24 changed files with 93 additions and 92 deletions

View File

@ -7,7 +7,7 @@ state.at73c213_0 {
iface MIXER iface MIXER
name 'Master Playback Volume' name 'Master Playback Volume'
value.0 21 value.0 21
value.1 20 value.1 21
} }
control.2 { control.2 {
comment.access 'read write' comment.access 'read write'

View File

@ -1,11 +1,12 @@
127.0.0.1 localhost.localdomain localhost 127.0.0.1 localhost.localdomain localhost
127.0.1.1 stk1000.example.net stk1000 127.0.1.1 stk1000.example.net stk1000
# The following lines are desirable for IPv6 capable hosts # The following lines are desirable for IPv6 capable hosts
::1 ip6-localhost ip6-loopback ::1 localhost
::1 ip6-localhost ip6-loopback
::1 stk1000.example.net stk1000
fe00::0 ip6-localnet fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes ff02::1 ip6-allnodes
ff02::2 ip6-allrouters ff02::2 ip6-allrouters
ff02::3 ip6-allhosts ff02::3 ip6-allhosts

View File

@ -1,4 +1,3 @@
ftp stream tcp nowait root.root /usr/sbin/ftpd ftpd -a
#netbios-ssn stream tcp nowait root.root /usr/sbin/smbd smbd #netbios-ssn stream tcp nowait root.root /usr/sbin/smbd smbd
#netbios-ns dgram udp wait root.root /usr/sbin/nmbd nmbd #netbios-ns dgram udp wait root.root /usr/sbin/nmbd nmbd
swat stream tcp nowait.400 root.root /usr/sbin/swat swat #swat stream tcp nowait.400 root.root /usr/sbin/swat swat

View File

@ -5,10 +5,10 @@ PROGRAM=/usr/sbin/alsactl
# Exit silently if alsa-utils isn't installed # Exit silently if alsa-utils isn't installed
[ -x ${PROGRAM} ] || exit 0 [ -x ${PROGRAM} ] || exit 0
echo -n "Saving mixer state:" echo -n "Saving mixer state: "
if ${PROGRAM} store > /dev/null 2> /dev/null; then if ${PROGRAM} store; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -2,10 +2,10 @@
IFDOWN=/sbin/ifdown IFDOWN=/sbin/ifdown
echo -n "Stopping networking:" echo -n "Stopping networking: "
if ${IFDOWN} -a; then if ${IFDOWN} -a; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -1,8 +1,8 @@
#! /bin/sh #!/bin/sh
echo -n "Setting up mdev:" echo -n "Setting up mdev: "
set -e set -e
trap 'echo " failed"' EXIT trap 'echo "failed"' EXIT
/bin/ln -s /proc/self/fd /dev/fd /bin/ln -s /proc/self/fd /dev/fd
/bin/ln -s /proc/self/fd/0 /dev/stdin /bin/ln -s /proc/self/fd/0 /dev/stdin
/bin/ln -s /proc/self/fd/1 /dev/stdout /bin/ln -s /proc/self/fd/1 /dev/stdout
@ -11,4 +11,4 @@ trap 'echo " failed"' EXIT
/bin/echo /sbin/mdev > /proc/sys/kernel/hotplug /bin/echo /sbin/mdev > /proc/sys/kernel/hotplug
/sbin/mdev -s /sbin/mdev -s
trap - EXIT trap - EXIT
echo " done" echo "done"

View File

@ -2,7 +2,7 @@
PROGRAM=/bin/hostname PROGRAM=/bin/hostname
echo -n "Setting hostname:" echo -n "Setting hostname: "
[ -x ${PROGRAM} ] || (echo " missing"; exit 0) [ -x ${PROGRAM} ] || (echo " missing"; exit 0)
if [ -f /etc/hostname ]; then if [ -f /etc/hostname ]; then
@ -12,10 +12,10 @@ else
fi fi
start() { start() {
if ${PROGRAM} "${HOST}" > /dev/null 2> /dev/null; then if ${PROGRAM} "${HOST}"; then
echo " '${HOST}'" echo "'${HOST}'"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi
} }

View File

@ -5,22 +5,21 @@ FBSET=/usr/sbin/fbset
FBMODEFILE="/etc/fb.modes" FBMODEFILE="/etc/fb.modes"
SPLASHFILE="/etc/stk1000bootsplash.jpg" SPLASHFILE="/etc/stk1000bootsplash.jpg"
echo -n "Bootsplash image:" echo -n "Bootsplash image: "
if [ ! -x "${FBV}" -o ! -x "${FBSET}" -o \ if [ ! -x "${FBV}" -o ! -x "${FBSET}" -o \
! -f "${SPLASHFILE}" -o ! -f "${FBMODEFILE}" ]; then ! -f "${SPLASHFILE}" -o ! -f "${FBMODEFILE}" ]; then
echo " missing" echo "missing"
exit 1 exit 1
fi fi
if ! ${FBSET} 320x240-68 > /dev/null 2> /dev/null; then if ! ${FBSET} 320x240-68; then
echo " failed" echo "failed"
exit 1 exit 1
fi fi
${FBV} ${SPLASHFILE} < /dev/null > /dev/null 2> /dev/null & ${FBV} ${SPLASHFILE} > /dev/null &
if [ $? -eq 0 ]; then if [ $? -eq 0 ]; then
echo " loaded" echo "loaded"
kill `pidof ${FBV}` > /dev/null 2> /dev/null
else else
echo " failed" echo "failed"
fi fi

View File

@ -2,23 +2,23 @@
SYSLOGD=/sbin/syslogd SYSLOGD=/sbin/syslogd
echo -n "Starting syslogd:" echo -n "Starting syslogd: "
if [ ! -x "${SYSLOGD}" ]; then if [ ! -x "${SYSLOGD}" ]; then
echo " missing" echo "missing"
exit 1 exit 1
fi fi
if ${SYSLOGD} > /dev/null 2> /dev/null; then if ${SYSLOGD}; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi
echo -n "Log messages to syslog:" echo -n "Log messages to syslog: "
if echo 4 4 1 7 > /proc/sys/kernel/printk 2> /dev/null; then if echo 4 4 1 7 > /proc/sys/kernel/printk; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -2,15 +2,15 @@
KLOGD=/sbin/klogd KLOGD=/sbin/klogd
echo -n "Starting klogd:" echo -n "Starting klogd: "
if [ ! -x "${KLOGD}" ]; then if [ ! -x "${KLOGD}" ]; then
echo " missing" echo "missing"
exit 1 exit 1
fi fi
if ${KLOGD} > /dev/null 2> /dev/null; then if ${KLOGD}; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -2,9 +2,9 @@
MODPROBE=/sbin/modprobe MODPROBE=/sbin/modprobe
echo -n "Probing modules:" echo -n "Probing modules: "
if [ ! -x "${MODPROBE}" -o ! -f "/etc/modules" ]; then if [ ! -x "${MODPROBE}" -o ! -f "/etc/modules" ]; then
echo " missing" echo "missing"
exit 1 exit 1
else else
echo echo
@ -13,7 +13,7 @@ fi
grep '^[^#]' "/etc/modules" | \ grep '^[^#]' "/etc/modules" | \
while read module args; do while read module args; do
[ "$module" ] || continue [ "$module" ] || continue
if ${MODPROBE} $module $args > /dev/null 2> /dev/null; then if ${MODPROBE} $module $args; then
echo " $module loaded" echo " $module loaded"
else else
echo " $module failed" echo " $module failed"

View File

@ -2,10 +2,10 @@
MOUNT=/bin/mount MOUNT=/bin/mount
echo -n "Mounting local filesystems:" echo -n "Mounting local filesystems: "
if ${MOUNT} -a > /dev/null 2> /dev/null; then if ${MOUNT} -a; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -2,10 +2,10 @@
IFUP=/sbin/ifup IFUP=/sbin/ifup
echo -n "Network interfaces:" echo -n "Network interfaces: "
if ${IFUP} -a > /dev/null 2> /dev/null; then if ${IFUP} -a; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -2,15 +2,15 @@
TELNETD=/usr/sbin/telnetd TELNETD=/usr/sbin/telnetd
echo -n "Starting telnetd:" echo -n "Starting telnetd: "
if [ ! -x "${TELNETD}" ]; then if [ ! -x "${TELNETD}" ]; then
echo " missing" echo "missing"
exit 1 exit 1
fi fi
if ${TELNETD} -l /bin/ash > /dev/null 2> /dev/null; then if ${TELNETD} -l /bin/ash; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -2,15 +2,15 @@
INETD=/usr/sbin/inetd INETD=/usr/sbin/inetd
echo -n "Starting inted:" echo -n "Starting inted: "
if [ ! -x "${INETD}" ]; then if [ ! -x "${INETD}" ]; then
echo " missing" echo "missing"
exit 1 exit 1
fi fi
if ${INETD} > /dev/null 2> /dev/null; then if ${INETD}; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -2,15 +2,15 @@
HTTPD=/usr/sbin/httpd HTTPD=/usr/sbin/httpd
echo -n "Starting httpd:" echo -n "Starting httpd: "
if [ ! -x "${HTTPD}" ]; then if [ ! -x "${HTTPD}" ]; then
echo " missing" echo "missing"
exit 1 exit 1
fi fi
if ${HTTPD} -h /www > /dev/null 2> /dev/null; then if ${HTTPD} -h /www; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -5,22 +5,22 @@ NTPDATE=/usr/bin/ntpdate
if [ -f /etc/default/ntpdate ]; then if [ -f /etc/default/ntpdate ]; then
. /etc/default/ntpdate . /etc/default/ntpdate
else else
echo " missing /etc/default/ntpdate" echo "WARNING: missing /etc/default/ntpdate"
exit 1 exit 1
fi fi
echo -n "Starting ntpdate:" echo -n "Starting ntpdate: "
if [ ! -x ${NTPDATE} ]; then if [ ! -x ${NTPDATE} ]; then
echo " missing" echo "missing"
echo -n " WARNING: could not syncronize clock, " echo -n " WARNING: could not syncronize clock, "
echo "edit NTPSERVERS in /etc/default/ntpdate." echo "edit NTPSERVERS in /etc/default/ntpdate."
exit 1 exit 1
fi fi
if ${NTPDATE} $NTPOPTIONS $NTPSERVERS > /dev/null 2> /dev/null; then if ${NTPDATE} $NTPOPTIONS $NTPSERVERS; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
echo -n " WARNING: could not syncronize clock, " echo -n " WARNING: could not syncronize clock, "
echo "edit NTPSERVERS in /etc/default/ntpdate." echo "edit NTPSERVERS in /etc/default/ntpdate."
exit 1 exit 1

View File

@ -2,10 +2,10 @@
MOUNT=/bin/mount MOUNT=/bin/mount
echo -n "Mounting remote filesystems:" echo -n "Mounting remote filesystems: "
if ${MOUNT} -t nfs -a > /dev/null 2> /dev/null; then if ${MOUNT} -t nfs -a; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -5,15 +5,15 @@ PROGRAM=/usr/sbin/alsactl
# Exit silently if alsa-utils isn't installed # Exit silently if alsa-utils isn't installed
[ -x ${PROGRAM} ] || exit 0 [ -x ${PROGRAM} ] || exit 0
echo -n "Restoring mixer state:" echo -n "Restoring mixer state: "
if [ ! -f /etc/asound.state ]; then if [ ! -f /etc/asound.state ]; then
echo " missing" echo "missing"
exit 1 exit 1
fi fi
if ${PROGRAM} restore > /dev/null 2> /dev/null; then if ${PROGRAM} restore; then
echo " done" echo "done"
else else
echo " failed" echo "failed"
exit 1 exit 1
fi fi

View File

@ -3,16 +3,15 @@
PROGRAM=/usr/bin/fbv PROGRAM=/usr/bin/fbv
SPLASHFILE="/etc/stk1000splash.jpg" SPLASHFILE="/etc/stk1000splash.jpg"
echo -n "Splash image:" echo -n "Splash image: "
if [ ! -x "${PROGRAM}" -o ! -f "${SPLASHFILE}" ]; then if [ ! -x "${PROGRAM}" -o ! -f "${SPLASHFILE}" ]; then
echo " missing" echo "missing"
exit 1 exit 1
fi fi
${PROGRAM} ${SPLASHFILE} < /dev/null > /dev/null 2>/dev/null & ${PROGRAM} ${SPLASHFILE} > /dev/null &
if [ $? -eq 0 ]; then if [ $? -eq 0 ]; then
echo " loaded" echo "loaded"
kill `pidof ${PROGRAM}` > /dev/null 2> /dev/null
else else
echo " failed" echo "failed"
fi fi

View File

@ -1,4 +1,4 @@
root:$1$rsjkLsTU$zdulfnYQgyKmN3e0Fiw7C1:0:0:root:/:/bin/ash root:$1$rsjkLsTU$zdulfnYQgyKmN3e0Fiw7C1:0:0:root:/:/bin/sh
daemon:x:1:1:daemon:/usr/sbin:/bin/sh daemon:x:1:1:daemon:/usr/sbin:/bin/sh
bin:x:2:2:bin:/bin:/bin/sh bin:x:2:2:bin:/bin:/bin/sh
sys:x:3:3:sys:/dev:/bin/sh sys:x:3:3:sys:/dev:/bin/sh